async function fetchAndFillArchived() {
  const ul = document.createElement("ul");

  const firstUgNeMinorVersion = "17";
  const lastArchived = await fetch("/last_archived_version.json");
  const lastArchivedJson = await lastArchived.json();
  const lastArchivedNeMinorVersion =
    lastArchivedJson.last_archived_version.split(".")[1];

  for (let i = lastArchivedNeMinorVersion; i >= firstUgNeMinorVersion; i--) {
    const li = document.createElement("li");
    const a = document.createElement("a");
    a.href = `/archived/4.${i}.zip`;
    a.textContent = `NetEye 4.${i}`;
    li.appendChild(a);
    ul.appendChild(li);
  }

  document.querySelector("#archived-container").appendChild(ul);
}

fetchAndFillArchived();
